Subject: bug#31745: 回复： bug#31745: 回复：回复：Re: 回复：bug#31745: Frame's bug whenwindow-system

From: Robert Pluim <[email-masked]>
Date: Fri, 08 Jun 2018 14:43:59 +0200

"刘力铭" <[email-masked]> writes:

>> It may not be scaling. I can see something similar here that goes away
>> when I specify --no-x-resources to emacs. Which x-resource is
>> responsible I donʼt know.
>>
>> Robert
>
>
>
> `--no-x-resources` is not work for me, but it may be related to `(setq sml/no-confirm-load-theme t)`. If i comment this rather than `(require 'em-tramp)` and the line customize theme, emacs works well.
> Emacs will always ask me if trust the customized theme without this statement and then show the frame in correct size.
>

And my reproducer has just stopped reproducing, so I can't make any
progress until it starts happening again.

It seems like thereʼs some kind of race condition going on when
creating the initial frame. It seems pretty sensitive though, as soon
as I start looking for the cause it goes away.

Robert